// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AbstimmungStatusType,
    AbstimmungstypType,
    AnfrageEntityResponseDTO,
    DocumentType,
    DokumentenmappeDTO,
    FristEntityDTO,
    OberabstimmungEntityDTO,
    RegelungsvorhabenEntityWithDetailsResponseDTO,
    RueckmeldungBkAmtType,
    RueckmeldungBmjType,
    UnterabstimmungEntityDTO,
    UserEntityResponseDTO,
} from './';

/**
 * @export
 * @interface AbstimmungEntityDTO
 */
export interface AbstimmungEntityDTO {
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    readonly abstimmungMetadataId?: string;
    /**
     * @type {AbstimmungstypType}
     * @memberof AbstimmungEntityDTO
     */
    typ?: AbstimmungstypType;
    /**
     * @type {DocumentType}
     * @memberof AbstimmungEntityDTO
     */
    documentTyp: DocumentType;
    /**
     * Sollte nur gefüllt werden, wenn DocumentType = EDITOR ist
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    dokumentenmappeId?: string;
    /**
     * @type {DokumentenmappeDTO}
     * @memberof AbstimmungEntityDTO
     */
    dokumentenmappe?: DokumentenmappeDTO;
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    titel?: string;
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    regelungsvorhabenId?: string;
    /**
     * @type {Array<string>}
     * @memberof AbstimmungEntityDTO
     */
    teilnehmer: Array<string>;
    /**
     * @type {Array<string>}
     * @memberof AbstimmungEntityDTO
     */
    teilnehmerInCc: Array<string>;
    /**
     * @type {Array<string>}
     * @memberof AbstimmungEntityDTO
     */
    ressortTeilnehmer: Array<string>;
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    einladungsMailBetreff?: string;
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    einladungsMailText?: string;
    /**
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    einladungsMailKommentar?: string;
    /**
     * @type {AbstimmungStatusType}
     * @memberof AbstimmungEntityDTO
     */
    status: AbstimmungStatusType;
    /**
     * @type {number}
     * @memberof AbstimmungEntityDTO
     */
    version: number;
    /**
     * @type {Array<FristEntityDTO>}
     * @memberof AbstimmungEntityDTO
     */
    fristen: Array<FristEntityDTO>;
    /**
     * @type {Array<AnfrageEntityResponseDTO>}
     * @memberof AbstimmungEntityDTO
     */
    readonly anfragen?: Array<AnfrageEntityResponseDTO>;
    /**
     * @type {OberabstimmungEntityDTO}
     * @memberof AbstimmungEntityDTO
     */
    oberabstimmung?: OberabstimmungEntityDTO;
    /**
     * @type {Array<UnterabstimmungEntityDTO>}
     * @memberof AbstimmungEntityDTO
     */
    readonly meineUnterabstimmungen?: Array<UnterabstimmungEntityDTO>;
    /**
     * existiert eine laufende Unterabstimmung, bei der der aktuelle User der Einleiter ist?
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    readonly eingeleiteteUnterabstimmungenVorhanden?: boolean;
    /**
     * @type {RegelungsvorhabenEntityWithDetailsResponseDTO}
     * @memberof AbstimmungEntityDTO
     */
    regelungsvorhaben?: RegelungsvorhabenEntityWithDetailsResponseDTO;
    /**
     * Vorhabenclearing (früher: Frühkoordinierung) mit dem Bundeskanzleramt
     * @type {string}
     * @memberof AbstimmungEntityDTO
     */
    fruehkoordinierungBkAmtErfolgtAm?: string;
    /**
     * @type {RueckmeldungBkAmtType}
     * @memberof AbstimmungEntityDTO
     */
    rueckmeldungBkAmt?: RueckmeldungBkAmtType;
    /**
     * @type {RueckmeldungBmjType}
     * @memberof AbstimmungEntityDTO
     */
    rueckmeldungBmj?: RueckmeldungBmjType;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    bkAmtUmEinvernehmenBitten: boolean;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    teilnehmendeUmBenehmenBitten: boolean;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    verschweigensfristGekennzeichnet: boolean;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    veroeffentlichungImInternet: boolean;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    veroeffentlichungImIntranet: boolean;
    /**
     * @type {boolean}
     * @memberof AbstimmungEntityDTO
     */
    eingeschraenkt: boolean;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof AbstimmungEntityDTO
     */
    erstellerStellvertreter?: UserEntityResponseDTO;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof AbstimmungEntityDTO
     */
    bearbeiterStellvertreter?: UserEntityResponseDTO;
}


